const _Http = getApp().globalData.http;
Page({
    data: {
        navList: [{
            label: "全部",
            icon: "icon-webxialaxuanxiangjiantou",
            color: "",
            width: "",
            id: "1"
        }, {
            label: "排序",
            icon: "icon-jiangxu1",
            color: "",
            width: "",
            id: "sort"
        }, {
            label: "筛选",
            icon: "icon-shaixuan",
            color: "",
            width: "",
            id: "2"
        }],
        content: {
            "nocache": true,
            "pageNumber": 1,
            "pageTotal": 1,
            "pageSize": 20,
            isExport: false,
            "where": {
                "startdate": "",
                "enddate": "",
                sa_customerpoolid: ""
            },
            "sort": []
        },
        filter: {
            show: false,
            startdate: "",
            enddate: ""
        }
    },
    onLoad(options) {
        this.setData({
            insert: wx.getStorageSync('auth').wPublicCustomer.options.some(v => v == 'insert'), //查询新增权限
        })
        this.getList();
        this.getType();
    },
    /* 获取列表 */
    getList(init = false, data) {
        if (init.detail != undefined) init = init.detail;
        let content = this.data.content;
        if (init) content.pageNumber = 1;
        if (content.pageNumber > content.pageTotal) return;
        if (data) {
            content.where.startdate = data.startdate;
            content.where.enddate = data.enddate;
        }
        _Http.basic({
            "id": 20221011133602,
            content
        }).then(res => {
            console.log("公海客户列表", res)
            this.selectComponent('#ListBox').RefreshToComplete();
            if (res.msg != '成功') return wx.showToast({
                title: res.data,
                icon: "none"
            })
            this.setData({
                'content.pageNumber': res.pageNumber + 1,
                'content.pageTotal': res.pageTotal,
                'content.total': res.total,
                'content.sort': res.sort,
                list: res.pageNumber == 1 ? res.data : this.data.list.concat(res.data)
            });
            this.setListHeight();
            this.getTags();
        })
    },
    /* 处理搜索 */
    onSearch({
        detail
    }) {
        this.setData({
            "content.where.condition": detail
        });
        this.getList(true);
    },
    /* 获取列表标签 */
    getTags() {
        let list = this.data.list,
            ownerids = list.map(v => v.sa_customerpoolid);
        _Http.basic({
            "id": 20221018102001,
            "content": {
                nocache: true,
                "ownertable": "sa_customerpool",
                ownerids
            }
        }).then(res => {
            console.log("标签", res)
            for (let key in res.data) {
                let index = list.findIndex(v => v.sa_customerpoolid == key);
                list[index].tags = res.data[key]
            };
            this.setData({
                list
            })
        })
    },
    onReady() {
        this.setListHeight();
    },
    setListHeight() {
        this.selectComponent("#ListBox").setHeight(".total", this);
    },
    /* 获取公海池列表 */
    getType() {




        _Http.basic({
            "classname": "sysmanage.develop.optiontype.optiontype",
            "method": "optiontypeselect",
            "content": {
                "pageNumber": 1,
                "pageSize": 1000,
                "typename": "customerpoolname",
                "parameter": {}
            },
        }, false).then(res => {
            console.log("公海池列表", res)
            let classList = res.data.map(v => {
                return {
                    name: v.poolname,
                    sa_customerpoolid: v.sa_customerpoolid
                }
            });
            classList.unshift({
                name: '全部',
                sa_customerpoolid: ""
            })
            this.setData({
                classList
            })
        })
    },
    classCancel() {
        this.setData({
            classShow: false
        })
    },
    classSelect({
        detail
    }) {
        this.setData({
            classShow: false,
            "content.where.sa_customerpoolid": detail.sa_customerpoolid,
            "navList[0].label": detail.name
        });
        this.getList(true)
    },
    /* 顶部条件导航回调 */
    navClick({
        detail
    }) {
        switch (detail.id) {
            case '1':
                this.setData({
                    classShow: true
                })
                break;
            case '2':
                this.setData({
                    'filter.show': true
                })
                break;
        }
    },
    /* 处理筛选 */
    handleFilter({
        detail
    }) {
        const data = this.data.filter;
        if (data.typeActive) data.typeActive = data.typeActive == '普通报价' ? 0 : 1;
        switch (detail) {
            case 'confirm':
                this.setData({
                    'filter.show': false
                });
                this.getList(true, data);
                break;
            case 'reset':
                this.setData({
                    'filter.statusActive': "",
                    'filter.typeActive': "",
                    'filter.startdate': "",
                    'filter.enddate': "",
                });
                this.getList(true, this.data.filter)
                break;
            case 'close':
                this.setData({
                    'filter.show': false
                });
                break;
        };

    },
    addPublicCustomer() {
        wx.navigateTo({
            url: './addAndEditor'
        })
    },
    onShareAppMessage() {

    }
})